@font-face
{
    font-family: lato;
    src: url("fonts/Lato-Semibold.ttf");
}

*
{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: lato, sans-serif;
}
a
{
    text-decoration: none;
    color: black;
}
li
{
    list-style-type: none;
}

body 
{
    color: #f2f2f2;
    background-color: #161a1f;
}
.bloc_page::before 
{
    content: ' ';
    position: absolute;
    height: 90vh;
    width: 100%;
    background-color: #282e3450;
    top: 0;
    left: 0;
}
.bloc_page  
{
    background: rgb(19, 22, 24) url("../ressources/images/autotype_bg.jpg") no-repeat center;
    background-size: cover;
    height: 90vh;
    overflow: auto;
}
header 
{
    position: relative;
    padding: 20px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right,transparent,rgba(255,255,255,0.7),rgba(255,255,255,0.7),rgba(255,255,255,0.7),transparent);
    border-image-slice: 1;
    color: white;
}
header .ae_logo 
{
    background: url("../ressources/icones_logos/autotype_effect_logo.png") no-repeat center;
    background-size: cover;
    height: 50px;
    width: 50px;
    position: absolute;
    top: 20px;
    left: 20px;
}
header h1 
{
    letter-spacing: 7px;
    margin-bottom: 10px;
}
header h3 
{
    letter-spacing: 13px;
}
section 
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 60px;
    font-size: 1.7em;
    letter-spacing: 3px;
    text-shadow: 2px 2px 2px rgba(0,0,0,0.8);
    position: relative;
    text-align: center;
    border-top: solid 1px rgba(255,255,255,0.7);
    border-bottom: solid 1px rgba(255,255,255,0.7);
    background: linear-gradient(to right, rgba(83, 63, 92, 0.5), rgba(95, 38, 62, 0.4), rgba(95, 38, 62, 0.4), rgba(77, 40, 94, 0.5));
    padding: 20px 0;
}
section h3 
{
    font-size: 1.3em;
    margin-top: 6px;
}
footer 
{
    /* position: absolute;
    bottom: 0; */
    text-align: center;
    padding: 5px 0;
    height: 10vh;
    width: 100%;
    background-color: #161a1f;
    line-height: 1.5em;
    letter-spacing: 1px;
}
.txt 
{
    border-right: solid 2px rgba(255,255,255,0.8);
}

/* --- Media Queries --- */

@media screen and (max-width: 600px) and (orientation: landscape) 
{
    .bloc_page::before 
    {
        height: 100%;
    }
    .bloc_page 
    {
        height: 100vh;
    }
}
@media screen and (max-width: 600px) and  (orientation: portrait) 
{
    .bloc_page::before 
    {
        height: 90vh;
    }
    .bloc_page 
    {
        height: 90vh;
    }
    footer 
    {
        height: 10vh;
    }
}
@media(max-width:700px)
{
    header 
    {
        padding: 15px 0;
        font-size: 1em;
    }
    header .ae_logo 
    {
        height: 40px;
        width: 40px;
        top: 10px;
        left: 10px;
    }
    header h1 
    {
        letter-spacing: 5px;
        margin-bottom: 5px;
    }
    header h3 
    {
        letter-spacing: 10px;
    }

    section 
    {
        margin-top: 40px;
        font-size: 1.5em;
        letter-spacing: 2px;
    }
    footer 
    {
        font-size: 0.8em;
    }
}
@media(max-width:550px)
{
    section 
    {
        font-size: 1.3em;
    }
}
@media(max-width:500px)
{
    header 
    {
        font-size: 0.7em;
    }
    header h3 
    {
        letter-spacing: 6px;
    }

    section 
    {
        font-size: 1.2em;
        padding: 12px 0;
    }
    section h1
    {
        margin: 0 5%;
    }
    header .ae_logo 
    {
        height: 30px;
        width: 30px;
    }
}
@media(max-width:386px)
{
    section 
    {
        font-size: 1em;
    }
    .ae_logo 
    {
        display: none;
    }
}